relay_switch_subbuf
Prev | relay interface | Next

## Name

relay_switch_subbuf — switch to a new sub-buffer

## Synopsis

`size_t relay_switch_subbuf (` | struct rchan_buf * | buf,
| size_t | length`)`;

## Arguments

`buf`

  channel buffer

`length`

  size of current event

## Description

Returns either the length passed in or 0 if full.

Performs sub-buffer-switch tasks such as invoking callbacks, updating padding counts, waking up readers, etc.

Prev | Up | Next
relay_open | Home | relay_subbufs_consumed